Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030825
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2015-09-15 11:362015-11-23 21:17
ReportervmromanosView Statuspublic 
Assigned Tocaristu 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q1
StatusclosedFix in branchFixed in SCM revisioncebfec5bc6a9
ProjectionnoneETAnoneTarget Version3.0PR16Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030825: Show in Status Bar doesn't honour the Active = N flag

DescriptionThe fields defined with Displayed = N and Show in Status Bar = Y and Active = N are still shown in the status bar.

However, if the field is defined with Displayed = N and Show in Grig View = Y and Active = N, it is NOT shown in the grid.

The behavior is not consistent, and it should be the same in all the scenarios. Probably the right behavior is that the field is not shown anywhere when the Active is N
Steps To ReproduceIt should work with any field, but we have discovered it with Payment Status in Sales Order window.

As System Admin
Go to Windows/Tabs/Fields window
Search Sales Order
Select Header Tab
In fields tab, clear the filter
Search Payment Status. Set this configuration:
  Displayed = N
  Show in Status Bar = Y
  Show in Grig View = Y
  Active = N

Login as Group Admin
Go to Sales Order window
Verify the field is not shown in grid
Double click in any record to show form view.
Verify the field is shown in Status Bar although it is Active = N
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0029872 closedguillermogil Add the Payment status in sales order window 

-  Notes
(0080398)
vmromanos (developer)
2015-09-15 11:41

If we hide the fields when Active = N, it might be considered as an API change or regression
(0080402)
hgbot (developer)
2015-09-15 12:12

Repository: erp/devel/pi
Changeset: f8a6e3e544bfb582b4c65408999e372fc4b1797d
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Tue Sep 15 12:11:05 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f8a6e3e544bfb582b4c65408999e372fc4b1797d [^]

Related to bug 29872: Payment Status in Sales Order set as ISSHOWNINSTATUSBAR=N

This is a workaround for issue 30825, which shows this field in the Status Bar regardless it is set as Active = N

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0080425)
hudsonbot (developer)
2015-09-16 02:20

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ab68e2868765 [^]
Maturity status: Test
(0081743)
hgbot (developer)
2015-11-12 11:27

Repository: erp/devel/pi
Changeset: cebfec5bc6a96d5f3cdf215205dd3b90475481a9
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Nov 12 11:25:47 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/cebfec5bc6a96d5f3cdf215205dd3b90475481a9 [^]

fixes issue 30825: Show in Status Bar doesn't honour the Active = N flag

Now the OBViewFieldHandler considers the active flag to decide whether the field should be added to the status bar or not

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewFieldHandler.java
---
(0081868)
alostale (developer)
2015-11-16 12:13

code reviewed and tested
(0082204)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-09-15 11:36 vmromanos New Issue
2015-09-15 11:36 vmromanos Assigned To => platform
2015-09-15 11:36 vmromanos Modules => Core
2015-09-15 11:36 vmromanos Triggers an Emergency Pack => No
2015-09-15 11:37 vmromanos Relationship added related to 0029872
2015-09-15 11:41 vmromanos Note Added: 0080398
2015-09-15 11:45 vmromanos Steps to Reproduce Updated View Revisions
2015-09-15 12:12 vmromanos Steps to Reproduce Updated View Revisions
2015-09-15 12:12 hgbot Checkin
2015-09-15 12:12 hgbot Note Added: 0080402
2015-09-16 02:20 hudsonbot Checkin
2015-09-16 02:20 hudsonbot Note Added: 0080425
2015-09-21 09:25 alostale Status new => acknowledged
2015-11-11 11:33 alostale Priority normal => urgent
2015-11-11 12:55 alostale Summary Show in Status Bar doesn't respect the Active = N flag => Show in Status Bar doesn't honour the Active = N flag
2015-11-11 19:53 caristu Assigned To platform => caristu
2015-11-11 19:53 caristu Status acknowledged => scheduled
2015-11-12 11:26 caristu Review Assigned To => alostale
2015-11-12 11:26 caristu Issue Monitored: alostale
2015-11-12 11:27 hgbot Checkin
2015-11-12 11:27 hgbot Note Added: 0081743
2015-11-12 11:27 hgbot Status scheduled => resolved
2015-11-12 11:27 hgbot Resolution open => fixed
2015-11-12 11:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/cebfec5bc6a96d5f3cdf215205dd3b90475481a9 [^]
2015-11-16 12:13 alostale Note Added: 0081868
2015-11-16 12:13 alostale Status resolved => closed
2015-11-16 12:13 alostale Fixed in Version => 3.0PR16Q1
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082204


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker